seo:
  title: >-
    Break the black box of software delivery with GitLab Value Stream Management
    and DORA Metrics
  description: Optimize DevOps with the new DORA metrics in GitLab Value Stream Management.
  ogTitle: >-
    Break the black box of software delivery with GitLab Value Stream Management
    and DORA Metrics
  ogDescription: Optimize DevOps with the new DORA metrics in GitLab Value Stream Management.
  noIndex: false
  ogImage: images/blog/hero-images/gl15.jpg
  ogUrl: https://about.gitlab.com/blog/gitlab-value-stream-management-and-dora
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/gitlab-value-stream-management-and-dora
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Break the black box of software delivery with GitLab Value Stream Management and DORA Metrics",
            "author": [{"@type":"Person","name":"Haim Snir"}],
            "datePublished": "2022-06-20",
          }

content:
  title: >-
    Break the black box of software delivery with GitLab Value Stream Management
    and DORA Metrics
  description: Optimize DevOps with the new DORA metrics in GitLab Value Stream Management.
  authors:
    - Haim Snir
  heroImage: images/blog/hero-images/gl15.jpg
  date: '2022-06-20'
  body: >


    Our customers frequently tell us that despite being very effective DevOps
    practitioners, they still struggle to build a data-driven DevOps culture.
    They find it especially hard to answer the fundamental question:


    _What are the right things to measure?_


    This becomes more challenging in enterprise organizations when there are
    hundreds of different development groups, and there's no normalization
    between how things are done or measured. Because of this, we see a strong
    interest from customers for metrics that would allow them to standardize
    between teams and benchmark themselves against the industry.


    ![Value Streams Analytics helps you visualize and manage the DevOps flow
    from ideation to customer
    delivery.](https://about.gitlab.com/images/blogimages/2022-06-dora-vsa-overview.png){:
    .shadow}

    Value Streams Analytics helps you visualize and manage the DevOps flow from
    ideation to customer delivery.

    {: .note.text-center}


    ## What Are DORA Metrics? 


    With the continued acceleration of digital transformation, most
    organizations realize that technology delivery excellence is a must for
    long-term success and competitive advantage. After seven years of data
    collection and research, the [DORA's State of DevOps research
    program](https://www.devops-research.com/research.html) has developed and
    validated four metrics that measure software delivery performance: [(1)
    deployment frequency, (2) lead time for changes, (3) time to restore service
    and (4) change failure
    rate.](https://docs.gitlab.com/ee/user/analytics/#devops-research-and-assessment-dora-key-metrics) 


    In GitLab, The One DevOps Platform, [Value Stream Analytics
    (VSA)](/solutions/value-stream-management/) surfaces a single source of
    insight for each stage of the software development process. The analytics
    are available out of the box for teams to drive performance improvements.


    ## What does DORA bring to Value Stream Analytics?


    Value Stream Analytics (VSA) measures [the entire journey from customer
    request to
    release](https://docs.gitlab.com/ee/user/group/value_stream_analytics/) and
    automatically displays the overall performance of the stream. Each stage in
    the value stream is transparent and compliant in a shared experience for
    everyone in the company. 


    This makes the VSA the single source of truth (SSoT) about what's happening
    within the entire software supply chain, with DORA’s metrics as the key
    measure of the value stream outputs. 


    ## How do Value Stream Analytics work?


    Value stream analytics measures the median time spent by issues or merge
    requests in each development stage.


    As an example, a stage might begin with the addition of a label to an issue
    and end with the addition of another label:


    ![Value stream analytics measures each stage from its start event to its end
    event.](https://about.gitlab.com/images/blogimages/2022-06-dora-vsa-stage.png){:
    .shadow}

    Value stream analytics measures each stage from its start event to its end
    event.

    {: .note.text-center}


    For each stage, a table list displays the workflow items filtered in the
    context of that stage. [In stages based on
    labels](https://docs.gitlab.com/ee/user/group/value_stream_analytics/#label-based-stages-for-custom-value-streams),
    the table will list Issues, and in stages based on Commits, it will list
    MRs:


    ![The VSA MR table provides a deeper insight into stage time breakdown
    .](https://about.gitlab.com/images/blogimages/2022-06-dora-vsa-mr.png){:
    .shadow}

    The VSA MR table provides a deeper insight into stage time breakdown.

    {: .note.text-center}


    The tables provide a deep dive into the stage performance and allow users to
    answer questions such as:


    - How to easily see bottlenecks that are slowing down the delivery of value
    to customers?

    - How to reduce the time spent in each stage so I can deliver features
    faster and stay competitive? 

    - How can we develop code faster?

    - How can we hand off to QA faster?  How can we push changes to Production
    more quickly?


    Using the Filter results text box, you can filter by a project (example
    below) or parameter (e.g., Milestone, Label). 


    ![Value stream analytics
    filtering.](https://about.gitlab.com/images/blogimages/2022-06-dora-vsa-filter.png){:
    .shadow}

    Value stream analytics filtering.

    {: .note.text-center}


    No login is required to view [Value stream analytics for
    projects](https://gitlab.com/gitlab-org/gitlab/-/value_stream_analytics)
    where you can become familiar with stream filtering, default stages and
    deep-dive tables. For a full view of the DORA metrics, you have to log in
    with your GitLab [Ultimate-tier](https://about.gitlab.com/pricing/) account
    or sign up for a [free trial](https://about.gitlab.com/free-trial/).


    ## How to understand DevOps maturity and benchmark progress with the DORA
    metrics?


    DORA metrics can also provide answers to questions not related to VSA, such
    as:


    - How to become an elite team of DevOps professionals?

    - How do I perform vs. industry standards? 

    - Is the organization better at DevOps this year than last?


    ## Learn more about VSA and DORA:


    - Check out the GitLab Speed Run about DORA metrics in VSA:

    <iframe width="560" height="315"
    src="https://www.youtube.com/embed/wQU-mWvNSiI" frameborder="0"
    allow="accelerometer; autoplay; encrypted-media; gyroscope;
    picture-in-picture" allowfullscreen></iframe>


    - [GitLab DORA metrics API
    documentation](https://docs.gitlab.com/ee/api/dora/metrics.html)


    - [Step-by-step instructions for creating a custom value
    stream](https://docs.gitlab.com/ee/user/group/value_stream_analytics/#create-a-value-stream-with-gitlab-default-stages)
  category: DevSecOps
  tags:
    - agile
    - DevOps
    - features
    - performance
    - workflow
config:
  slug: gitlab-value-stream-management-and-dora
  featured: false
  template: BlogPost
